VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::OptimizationInfo Class Reference

The `OptimizationInfo` class defines different optimizations and optimization parameters applied to particular library. More...

List of all members.

## Public Member Functions
| OptimizationInfo ()
| Creates a default new instance.
bool | GetOptimizeRemotePublishing ()
| If set to `true` then library would be optimized for remote publishing.
void | SetOptimizeRemotePublishing (bool?optimizeRemotePublishing)
| If set to `true` then library would be optimized for remote publishing.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `OptimizationInfo` class defines different optimizations and optimization parameters applied to particular library.

## Constructor & Destructor Documentation

vmware::content::library::OptimizationInfo::OptimizationInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::OptimizationInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::OptimizationInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::OptimizationInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::OptimizationInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::OptimizationInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::OptimizationInfo::Equals | ( | object | obj | ) | `[inline]`

override int vmware::content::library::OptimizationInfo::GetHashCode | ( |  | ) | `[inline]`

bool vmware::content::library::OptimizationInfo::GetOptimizeRemotePublishing | ( |  | ) | `[inline]`

If set to `true` then library would be optimized for remote publishing.

Turn it on if remote publishing is dominant use case for this library. Remote publishing means here that publisher and subscribers are not the part of the same `Vcenter` SSO domain.

Any optimizations could be done as result of turning on this optimization during library creation. For example, library content could be stored in different format but optimizations are not limited to just storage format.

Note, that value of this toggle could be set only during creation of the library and you would need to migrate your library in case you need to change this value (optimize the library for different use case).

void vmware::content::library::OptimizationInfo::SetOptimizeRemotePublishing | ( | bool? | optimizeRemotePublishing | ) | `[inline]`

If set to `true` then library would be optimized for remote publishing.

Turn it on if remote publishing is dominant use case for this library. Remote publishing means here that publisher and subscribers are not the part of the same `Vcenter` SSO domain.

Any optimizations could be done as result of turning on this optimization during library creation. For example, library content could be stored in different format but optimizations are not limited to just storage format.

Note, that value of this toggle could be set only during creation of the library and you would need to migrate your library in case you need to change this value (optimize the library for different use case).

override string vmware::content::library::OptimizationInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- OptimizationInfo.cs